- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: 87546cb6-ed30-4980-bd05-c44d121f7df4
    creation_time: 2023-02-17T12:13:30.985225Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench/geo3.c
      input_file_hashes:
        c/nla-digbench/geo3.c: af42656a5b280f88a674a9d488030c8b760b0adf25b61903e43304fd2a88f305
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench/geo3.c
    file_hash: af42656a5b280f88a674a9d488030c8b760b0adf25b61903e43304fd2a88f305
    line: 32
    column: 0
    function: main
  loop_invariant:
    string: z*x-x+a-a*z*y == 0
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 262a0d14-0ce5-45d4-8137-3e342ca0adca
    creation_time: 2023-02-17T12:13:30.985510Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench/geo3.c
      input_file_hashes:
        c/nla-digbench/geo3.c: af42656a5b280f88a674a9d488030c8b760b0adf25b61903e43304fd2a88f305
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench/geo3.c
    file_hash: af42656a5b280f88a674a9d488030c8b760b0adf25b61903e43304fd2a88f305
    line: 33
    column: 0
    function: main
  location_invariant:
    string: z*x-x+a-a*z*y == 0
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 9aae654a-24c5-4875-b930-fee52fe10f0d
    creation_time: 2023-02-17T12:13:30.985607Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench/geo3.c
      input_file_hashes:
        c/nla-digbench/geo3.c: af42656a5b280f88a674a9d488030c8b760b0adf25b61903e43304fd2a88f305
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench/geo3.c
    file_hash: af42656a5b280f88a674a9d488030c8b760b0adf25b61903e43304fd2a88f305
    line: 42
    column: 0
    function: main
  location_invariant:
    string: z*x-x+a-a*z*y == 0
    type: assertion
    format: C

